# HG changeset patch
# User William Stein <wstein@gmail.com>
# Date 1234765185 28800
# Node ID 451b9818dcd34a86b3bd4970f7065ecf52329eeb
# Parent  b408cf8edb113c07d107d56e952c3c56d8f33a16
patch  that modifies the sage notebook so that it starts up all worksheet processes in Pure Python mode without importing the sage library

diff -r b408cf8edb11 -r 451b9818dcd3 sage/server/notebook/worksheet.py
--- a/sage/server/notebook/worksheet.py	Tue Feb 10 21:44:59 2009 -0800
+++ b/sage/server/notebook/worksheet.py	Sun Feb 15 22:19:45 2009 -0800
@@ -107,7 +107,7 @@
         Sage
     """
     # Create new pexpect interface to a Python instance
-    S = Sage(server=server, ulimit=ulimit, maxread = 1, python=True, verbose_start=False)
+    S = Sage(server=server, ulimit=ulimit, maxread = 1, python=True, verbose_start=False, init_code='')
 
     # Start up the subprocess but do not block when starting
     S._start(block_during_init=False)
@@ -117,7 +117,8 @@
 
     # Send some code to it (nonblocking)
     E.sendline('\n')
-    cmd = 'from sage.all_notebook import *;'
+    #cmd = 'from sage.all_notebook import python, os, sage;'
+    cmd = 'import os; import sage.server.all; from sage.misc.python import python; '
     cmd += 'import sage.server.support as _support_; '
     E.sendline(cmd)
 
